### Hierarchy

- TournamentRunner

## Index

### Constructors

- constructor

### Properties

- currentMatchRunner
- matches
- matchmaker
- pubSub
- tournament

### Methods

- continue
- destroy
- getTournament
- onMatchEnd
- onTournamentEnd
- playNextMatch
- sendStats
- start

## Constructors

### constructor

- new TournamentRunner(options: TournamentOptions, players: string[], lobby: string): TournamentRunner

- - Defined in lobby/tournament/TournamentRunner.ts:22

  #### Parameters

  - ##### options: TournamentOptions

  - ##### players: string[]

  - ##### lobby: string

  #### Returns TournamentRunner

## Properties

### Private Optional currentMatchRunner

currentMatchRunner: MatchRunner = null

- Defined in lobby/tournament/TournamentRunner.ts:20

### Private matches

matches: Match[] = []

- Defined in lobby/tournament/TournamentRunner.ts:19

### Private matchmaker

matchmaker: default

- Defined in lobby/tournament/TournamentRunner.ts:18

### Private pubSub

pubSub: default

- Defined in lobby/tournament/TournamentRunner.ts:17

### Private tournament

tournament: Tournament

- Defined in lobby/tournament/TournamentRunner.ts:16

## Methods

### continue

- continue(): void

- - Defined in lobby/tournament/TournamentRunner.ts:86

  #### Returns void

### destroy

- destroy(): void

- - Defined in lobby/tournament/TournamentRunner.ts:90

  #### Returns void

### getTournament

- getTournament(): Tournament

- - Defined in lobby/tournament/TournamentRunner.ts:39

  #### Returns Tournament

### Private onMatchEnd

- onMatchEnd(match: Match): void

- - Defined in lobby/tournament/TournamentRunner.ts:102

  #### Parameters

  - ##### match: Match

  #### Returns void

### Private onTournamentEnd

- onTournamentEnd(): void

- - Defined in lobby/tournament/TournamentRunner.ts:94

  #### Returns void

### Private playNextMatch

- playNextMatch(): void

- - Defined in lobby/tournament/TournamentRunner.ts:115

  #### Returns void

### Private sendStats

- sendStats(): void

- - Defined in lobby/tournament/TournamentRunner.ts:146

  #### Returns void

### start

- start(): void

- - Defined in lobby/tournament/TournamentRunner.ts:46

  #### Returns void

Generated using TypeDoc